#
#   DJGPP makefile for SSHDOS v0.5
#

HDRS          = ssh.h

# remove -DCOLOR for B&W mode
CFLAGS	      = -O -DCOLOR

LDFLAGS	      =

LIBS	      = lib/libwatt.a

LINKER	      = gcc

MAKEFILE      = Makefile

OBJS=		sshdos.o \
		negotiat.o \
		protocol.o \
		sshmd5.o \
		sshdes.o \
		sshblowf.o \
		sshcrc.o \
		sshrsa.o \
		vttio.o \
		vidio.o \
		keyio.o

PROGRAM	      = sshdos

SRCS=		sshdos.c \
		negotiat.c \
		protocol.c \
		sshmd5.c \
		sshdes.c \
		sshblowf.c \
		sshcrc.c \
		sshrsa.c \
		vttio.c \
		vidio.c \
		keyio.c

all:		$(PROGRAM)

$(PROGRAM):     $(OBJS) $(LIBS)
		@echo -n "Loading $(PROGRAM) ... "
		@$(LINKER) $(LDFLAGS) -o $(PROGRAM) $(OBJS) $(LIBS)
		@echo "done"

clean:
		del *.o
		del sshdos
		del sshdos.exe

###
sshdos.o: include/ssh.h
negotiat.o: include/ssh.h
protocol.o: include/ssh.h
sshmd5.o: include/md5.h
sshdes.o: include/des.h
sshblowf.o: include/blowfish.h
sshcrc.o: 
sshrsa.o: include/rsa.h
vttio.o: 
vidio.o: 
keyio.o: 
